Skip to main content
Storage Services/Storage Services
PUTStorage ServicesSince 4.10.20SynchronousAuth Required

InstallSoftwarePackage

InstallSoftwarePackage

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • uuidStringRequired

    The software package UUID.

Body Fields

  • installsoftwarepackageObjectRequired

    installsoftwarepackage request body object.

    • configString

      The software package installation configuration.

  • systemTagsList

    The system tags.

  • userTagsList

    The user tags.

Responses

200 OK

On success, this API returns an empty JSON object {}.

Endpoint

PUT/zstack/v1/software-package/install/{uuid}/actions

/zstack/v1/software-package/install/{uuid}/actions

Operation ID

InstallSoftwarePackage

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/software-package/install/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"installsoftwarepackage":{"config":"<config>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{}

Change History

This API has no change history records yet.

View all change history